<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/member-store-topups.js");
</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{shopTopUps}">Tienda - Recargas</small></h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row" th:if="${member.country != 'CO'}">
    <div class="alert alert-info" role="alert">
        <span th:text="#{notEnabled}">No habilitado todavía.</span>
    </div>
</div>

<div class="row" th:if="${member.country == 'CO'}">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel" style="min-height: 300px;">
            <div class="x_content">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h4 th:text="#{addBalanceToNumber}">Desde aqui puedes añadir saldo a tu número usando tus comisiones</h4>
                        </div>
                        <div class="x_content">
                            <form class="form-horizontal form-label-left" method="POST"  action="/members/store/topups">
                                <input type="hidden" name="storeItem"th:value="${storeItem.id}"/>
                                <div class='form-group'>
                                    <label for="msisdn" th:text="#{number}">Número</label>
                                    <input type="tel" class="form-control" id='msisdn' name="msisdn" maxlength="10" required="required"/>
                                </div>
                                <div class='form-group'>
                                    <label for="amount" th:text="#{amount}">
                                        Monto
                                    </label>
                                    <small>(<span th:text="#{myAccountBalance}">Saldo de mi cuenta:</span>&nbsp;<span th:text="${total.getEffectiveText()}"></span>)</small>
                                    <input type="number" class="form-control" id='amount' name="amount"  required="required"/>
                                </div>
                                <div class="form-group">
                                    <div class="col-md-6 col-sm-6 col-xs-12">                          
                                        <button type="submit" class="btn btn-success" id="save" th:text="#{btnTopUps}">Recargar</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h4 th:text="#{buyPackagesForNumber}">Desde aqui puedes comprar Paquetes para tú número</h4>
                        </div>
                        <div class="x_content">

                            <div class="row" th:if="${sitems.empty}">
                                <div class="alert alert-info" role="alert">
                                    <span th:text="#{notFoundPackages}">No se encontraron paquetes.</span>
                                </div>
                            </div>

                            <div class="x_panel" th:each="item : ${sitems}">
                                <div class="right col-xs-3 text-center">
                                    <img src="images/no_image_product.png" width="100" class="img-preview" th:if="${item.image == null}"/>
                                    <img th:src="${item.image}" width="100" class="img-preview" th:if="${item.image != null}"/>
                                </div>
                                <div class="col-xs-9">
                                    <h5 th:text="${item.name}"></h5>
                                    <p th:utext="${item.description}"></p>

                                    <div class="row">
                                        <div class="col-md-6" th:with="ilocal=${item.getI18nForCountry(member.country)}">
                                            <i class="flag flag-pe"></i>&nbsp;<span th:text="#{price}">Precio</span>
                                            <h1 class="price" th:if="${ilocal != null}" th:text="${ilocal.getLocalPrice()}"></h1>
                                        </div>
                                        <div class="col-md-6">
                                            <a type="button" class="btn btn-primary btn-xs action-button" 
                                               id="buy-packs"
                                               th:attr="data-id=${item.id},data-name=${item.name}"
                                               href="#" 
                                               >
                                                <i class="fa fa-shopping-cart"></i>&nbsp;
<!--                                                <span th:text="#{members.store.buy}">Comprar</span>-->
                                                Comprar
                                            </a>
                                        </div>                                    
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!--        <div th:replace="frags/pagination :: paginationbar"></div>-->
    </div>



    <!--    <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel" style="min-height: 300px;">
                <div class="x_content">
                    <div class="row" th:if="${items.empty}">
                        <div class="alert alert-info" role="alert">
                            No se encontraron productos asociados a su cuenta de afiliado.
                        </div>
                    </div>
    
                    <div class="col-md-3 col-sm-3 col-xs-6" th:each="item : ${items}">
                        <div class="x_panel">
                            <div class="x_content">
    
                                <div class="col-xs-9">
                                    <h3 th:text="${item.orderItem.name}"></h3>
                                    <h4 th:text="${item.firstName + ' ' + item.lastName}"></h4>
                                    <ul class="list-unstyled">
                                        <li><i class="fa fa-calendar"></i> Fecha: <span th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></span></li>
                                        <li><i class="fa fa-bank"></i> Pasarela: <span th:text="#{${item.paymentType}}"></span></li>
                                        <li><i class="fa fa-check-circle-o"></i> Estado: <span th:text="#{${item.paymentStatus}}"></span></li>
                                        <li><i class="fa fa-money"></i> Monto: <span th:text="${item.paymentAmount}"></span></li>
                                    </ul>
                                </div>
                                <div class="right col-xs-3 text-center">
                                    <img th:src="${item.image}" alt="">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div th:replace="frags/pagination :: paginationbar"></div>
    
            <div class="footer">
                <p class="text-muted">*En caso de no aparecer en el listado algun producto referido, por favor enviar un correo a atencionalcliente@wingsmobile.es con el asunto "Actualizacion referer producto", indicando el nombre del cliente, el producto adquirido y su número de usuario</p>
            </div>
        </div>-->

</div>

